﻿/**Begin D:\PDM_UPGRADE\PDM1\MRM_constraint.sql **/
 EXEC P_ALTERPK 'PK_MRM_DRAFT_DATASOURCE', 'T_MRM_DRAFT_DATASOURCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MRM_DRAFT_DATASOURCE') CREATE INDEX IDX_MRM_DRAFT_DATASOURCE ON T_MRM_DRAFT_DATASOURCE ( FNUMBER );


 EXEC P_ALTERPK 'PK_MRM_DRAFT_DATASOURCE_L', 'T_MRM_DRAFT_DATASOURCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MRM_DRAFT_DATASOURCE_L') CREATE INDEX IDX_MRM_DRAFT_DATASOURCE_L ON T_MRM_DRAFT_DATASOURCE_L ( FID );


 EXEC P_ALTERPK 'PK_MRM_EXRATE_DRAFT', 'T_MRM_EXRATE_DRAFT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MRM_EXRATE_DRAFT') CREATE INDEX IDX_MRM_EXRATE_DRAFT ON T_MRM_EXRATE_DRAFT ( FBILLNO );


 EXEC P_ALTERPK 'PK_MRM_EXRATE_DRAFT_CFG', 'T_MRM_EXRATE_DRAFT_CFG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MRM_EXRATE_DRAFT_CFG') CREATE INDEX IDX_MRM_EXRATE_DRAFT_CFG ON T_MRM_EXRATE_DRAFT_CFG ( FNUMBER );


 EXEC P_ALTERPK 'PK_MRM_EXRATE_DRAFT_CFG_L', 'T_MRM_EXRATE_DRAFT_CFG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MRM_EXRATE_DRAFT_CFG_L') CREATE INDEX IDX_MRM_EXRATE_DRAFT_CFG_L ON T_MRM_EXRATE_DRAFT_CFG_L ( FID );


 EXEC P_ALTERPK 'PK_MRM_EXRATE_DRAFT_LOG', 'T_MRM_EXRATE_DRAFT_LOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MRM_EXRATE_DRAFTLOG_DF') CREATE INDEX IDX_MRM_EXRATE_DRAFTLOG_DF ON T_MRM_EXRATE_DRAFT_LOG ( FDRAFTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MRM_EXRATE_DRAFTLOG_EXDATE') CREATE INDEX IDX_MRM_EXRATE_DRAFTLOG_EXDATE ON T_MRM_EXRATE_DRAFT_LOG ( FEXECUTEDATE );


 EXEC P_ALTERPK 'PK_MRM_EXRATE_DRAFTCFGRULE', 'T_MRM_EXRATE_DRAFTCFGRULE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MRM_EXRATE_DRAFTCFGRULE') CREATE INDEX IDX_MRM_EXRATE_DRAFTCFGRULE ON T_MRM_EXRATE_DRAFTCFGRULE ( FID );


 EXEC P_ALTERPK 'PK_MRM_EXRATE_DRAFTDATA', 'T_MRM_EXRATE_DRAFTDATA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MRM_EXRATE_DRAFTDATA') CREATE INDEX IDX_MRM_EXRATE_DRAFTDATA ON T_MRM_EXRATE_DRAFTDATA ( FEXRATEDRAFTID );


 EXEC P_ALTERPK 'PK_MRM_EXRATE_DRAFTDATA_CA', 'T_MRM_EXRATE_DRAFTDATA_CA', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MRM_EXRATE_DRAFTDATA_CA') CREATE INDEX IDX_MRM_EXRATE_DRAFTDATA_CA ON T_MRM_EXRATE_DRAFTDATA_CA ( FID );


 EXEC P_ALTERPK 'PK_MRM_EXRATE_DRAFTDATA_IN', 'T_MRM_EXRATE_DRAFTDATA_IN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MRM_EXRATE_DRAFTDATA_IN') CREATE INDEX IDX_MRM_EXRATE_DRAFTDATA_IN ON T_MRM_EXRATE_DRAFTDATA_IN ( FID );



/**End D:\PDM_UPGRADE\PDM1\MRM_constraint.sql **/
