﻿/**Begin C:\Users\rd_zhixiong_w\Downloads\PDM_UPGRADE\PDM1\MRM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_DRAFT_DATASOURCE')
 CREATE TABLE T_MRM_DRAFT_DATASOURCE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILL NVARCHAR(36) DEFAULT ' ' NOT NULL,
FPRESET CHAR(1) DEFAULT '0' NOT NULL,
FSOURCEENTITYID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZAPP NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_DRAFT_DATASOURCE_L')
 CREATE TABLE T_MRM_DRAFT_DATASOURCE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_EXRATE_DRAFT')
 CREATE TABLE T_MRM_EXRATE_DRAFT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FSUMMARY NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDRAFTCREATEDATE DATETIME,
FDRAFTSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_EXRATE_DRAFT_CFG')
 CREATE TABLE T_MRM_EXRATE_DRAFT_CFG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FEXECPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSHEDULEPLANID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_EXRATE_DRAFT_CFG_L')
 CREATE TABLE T_MRM_EXRATE_DRAFT_CFG_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_EXRATE_DRAFT_LOG')
 CREATE TABLE T_MRM_EXRATE_DRAFT_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FEXECTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXECSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FSTARTTIME DATETIME,
FEXECOBJTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOGINFO NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FEXECUTETIME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXECUTEDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCOUNT BIGINT DEFAULT 0 NOT NULL,
FDRAFTID BIGINT DEFAULT 0 NOT NULL,
FDRAFTNO NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_EXRATE_DRAFTCFGRULE')
 CREATE TABLE T_MRM_EXRATE_DRAFTCFGRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FRULETEXT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEBILL BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_EXRATE_DRAFTDATA')
 CREATE TABLE T_MRM_EXRATE_DRAFTDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FEXRATEDRAFTID BIGINT DEFAULT 0 NOT NULL,
FBIZDATASOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOBJECTTYPEID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNTERPARTYTEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FINTERESTDATE DATETIME,
FENDDATE DATETIME,
FRATETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBIZBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFXCURRENCYDIRECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSWAPDIR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMBINEID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEBILLENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_EXRATE_DRAFTDATA_CA')
 CREATE TABLE T_MRM_EXRATE_DRAFTDATA_CA (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCAPDATE DATETIME,
FCAPAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MRM_EXRATE_DRAFTDATA_IN')
 CREATE TABLE T_MRM_EXRATE_DRAFTDATA_IN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FINDATE DATETIME,
FINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);

/**End C:\Users\rd_zhixiong_w\Downloads\PDM_UPGRADE\PDM1\MRM_table.sql **/
